Subject: [amos-list] The Mailing List Archives...
From: "Scooter D. Matott sXe" <[email-masked]>
To: Amos List <[email-masked]>
Date: Wed, 21 Jul 1999 11:16:12 -0500 (CDT)

From: "Scooter D. Matott sXe" <[email-masked]>

 Ok here is my promised explanation...

My search engine does this...
It has 4 loops!

1) Loop by year

2) Loop by month

3) Loop by File
	load message file
4) Loop by Pattern
	Search for patterns in message text
	This loop is short as it aborts as soon as it fails
	to find a pattern entered with the AND operator
	And OR searches can be done all at once,
	so scott AND matott takes at most two loops
	scott OR matott takes only one pass..
 
4) next pattern

3) Next File

2) Next Month

1) Next Year

	It loads the ENTIRE file as one big string and searches it...
	This is the fastest way otherwise we'd need a 5th loop
	between 3 and 4 to loop by line in file searchign for the pattern
	and things would get VERY slow!!

	If it matches all patterns, then it stores the file name
	in an array which is later printed to the HTML page 

	This makes certain things impossible...
	1) Show Message Subject as part of the Links List print out

		This can't be done, I'd need a way to get to the
		SUBJECT: line of file, but since I load the entire
		file up there is no way to goto just anyone line..
	I guess I could use a split command to try and work it out...

	2) Similarly a NEXT MESG IN THREAD feature is not possible.
		To be honest I was a bit peeved at this suggestion...
	 I understand how nice it would be to have, but all the same
	 I felt like "If you want the bloody thing you code it yourself!"
	 I mean can you imagine the headache it would be to try and
	 sort out threads from the mass of messages I have??
	 It'd be one thing on NEWS-GROUP ARCHIVE, but the mailing
	 list is just a stack of messages divided by date...
	AND dont' anybody wirte in saying how easy this would be unless
	they have perl code to hand me with their cheap words!!	

	I'm sorry, esp to Keith, it wasn't an ureasonable suggestion
	it's just one of those things that sounds maybe easier than it
	is to do, also it's the kind of thing user's like to take
	for granted when it's there...
	
	Anyway, thanks for all the postive words I will be listing the
	cite with Amiga Web Directory today so it is more or less done in
	my eyes, well enjoy!

	Thanks,
	      Scott Matott sXe
	      Chicago, Il USA

Pac Man Defense

A takeover defense pattern named after the video game. The original
takeover target attempts to swallow (takeover) the original bidder. 

--------------------------- ONElist Sponsor ----------------------------

ONElist:  your connection to like-minds and kindred spirits.

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html